%{?cygwin_package_header}

Name:		cygwin-ntfsprogs
Version:	2.0.0
Release:	0%{?dist}
Summary:	NTFS filesystem libraries
License:	GPLv2+
Group:		Applications/System
URL:		https://sourceforge.net/projects/linux-ntfs/
Source0:	http://prdownloads.sf.net/linux-ntfs/ntfsprogs-%{version}.tar.gz
Patch1:		ntfsprogs_compat.patch
Patch2:		ntfsprogs_gcc_struct.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	cygwin32-filesystem >= 9
BuildRequires:	cygwin32-binutils
BuildRequires:	cygwin32-gcc
BuildRequires:	cygwin32-libiconv
BuildRequires:	cygwin32-zlib
BuildRequires:	cygwin32-pkg-config

BuildRequires:	cygwin64-filesystem >= 9
BuildRequires:	cygwin64-binutils
BuildRequires:	cygwin64-gcc
BuildRequires:	cygwin64-libiconv
BuildRequires:	cygwin64-zlib
BuildRequires:	cygwin64-pkg-config

%description
Cygwin compiled ntfsprogs.

# Win32
%package -n cygwin32-ntfsprogs
Summary:       Cygwin compiled ntfsprogs for the Win32 target.

%description -n cygwin32-ntfsprogs
Cygwin compiled ntfsprogs for the Win32 target.

# Win64
%package -n cygwin64-ntfsprogs
Summary:       Cygwin compiled ntfsprogs for the Win64 target.

%description -n cygwin64-ntfsprogs
Cygwin compiled ntfsprogs for the Win64 target.


%prep
%setup -q -n ntfsprogs-%{version}
%patch1 -p1
%patch2 -p1

%build
%cygwin_configure --disable-crypto --disable-default-device-io-ops --disable-gnome-vfs --disable-ntfsmount
%cygwin_make %{?_smp_mflags} libs
%install
rm -rf $RPM_BUILD_ROOT
pushd build_32bit$CYGWIN_BUILDDIR_SUFFIX
cd include
%cygwin32_make install DESTDIR=$RPM_BUILD_ROOT
cd ../libntfs
%cygwin32_make install DESTDIR=$RPM_BUILD_ROOT
popd

pushd build_64bit$CYGWIN_BUILDDIR_SUFFIX
cd include
%cygwin64_make install DESTDIR=$RPM_BUILD_ROOT
cd ../libntfs
%cygwin64_make install DESTDIR=$RPM_BUILD_ROOT
popd

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

# Drop the man pages
rm -rf $RPM_BUILD_ROOT%{cygwin32_mandir}
rm -rf $RPM_BUILD_ROOT%{cygwin64_mandir}

#% clean
#rm -rf $RPM_BUILD_ROOT

%files -n cygwin32-ntfsprogs
%{cygwin32_libdir}/libntfs.a
%{cygwin32_includedir}/ntfs/attrib.h
%{cygwin32_includedir}/ntfs/attrlist.h
%{cygwin32_includedir}/ntfs/bitmap.h
%{cygwin32_includedir}/ntfs/bootsect.h
%{cygwin32_includedir}/ntfs/collate.h
%{cygwin32_includedir}/ntfs/compat.h
%{cygwin32_includedir}/ntfs/compress.h
%{cygwin32_includedir}/ntfs/crypto.h
%{cygwin32_includedir}/ntfs/debug.h
%{cygwin32_includedir}/ntfs/device.h
%{cygwin32_includedir}/ntfs/device_io.h
%{cygwin32_includedir}/ntfs/dir.h
%{cygwin32_includedir}/ntfs/endians.h
%{cygwin32_includedir}/ntfs/gnome-vfs-method.h
%{cygwin32_includedir}/ntfs/gnome-vfs-module.h
%{cygwin32_includedir}/ntfs/index.h
%{cygwin32_includedir}/ntfs/inode.h
%{cygwin32_includedir}/ntfs/layout.h
%{cygwin32_includedir}/ntfs/lcnalloc.h
%{cygwin32_includedir}/ntfs/list.h
%{cygwin32_includedir}/ntfs/logfile.h
%{cygwin32_includedir}/ntfs/logging.h
%{cygwin32_includedir}/ntfs/mft.h
%{cygwin32_includedir}/ntfs/mst.h
%{cygwin32_includedir}/ntfs/ntfstime.h
%{cygwin32_includedir}/ntfs/runlist.h
%{cygwin32_includedir}/ntfs/security.h
%{cygwin32_includedir}/ntfs/support.h
%{cygwin32_includedir}/ntfs/types.h
%{cygwin32_includedir}/ntfs/unistr.h
%{cygwin32_includedir}/ntfs/version.h
%{cygwin32_includedir}/ntfs/volume.h

%files -n cygwin64-ntfsprogs
%{cygwin64_libdir}/libntfs.a
#% {cygwin64_includedir}/ntfs/*.h
%{cygwin64_includedir}/ntfs/attrib.h
%{cygwin64_includedir}/ntfs/attrlist.h
%{cygwin64_includedir}/ntfs/bitmap.h
%{cygwin64_includedir}/ntfs/bootsect.h
%{cygwin64_includedir}/ntfs/collate.h
%{cygwin64_includedir}/ntfs/compat.h
%{cygwin64_includedir}/ntfs/compress.h
%{cygwin64_includedir}/ntfs/crypto.h
%{cygwin64_includedir}/ntfs/debug.h
%{cygwin64_includedir}/ntfs/device.h
%{cygwin64_includedir}/ntfs/device_io.h
%{cygwin64_includedir}/ntfs/dir.h
%{cygwin64_includedir}/ntfs/endians.h
%{cygwin64_includedir}/ntfs/gnome-vfs-method.h
%{cygwin64_includedir}/ntfs/gnome-vfs-module.h
%{cygwin64_includedir}/ntfs/index.h
%{cygwin64_includedir}/ntfs/inode.h
%{cygwin64_includedir}/ntfs/layout.h
%{cygwin64_includedir}/ntfs/lcnalloc.h
%{cygwin64_includedir}/ntfs/list.h
%{cygwin64_includedir}/ntfs/logfile.h
%{cygwin64_includedir}/ntfs/logging.h
%{cygwin64_includedir}/ntfs/mft.h
%{cygwin64_includedir}/ntfs/mst.h
%{cygwin64_includedir}/ntfs/ntfstime.h
%{cygwin64_includedir}/ntfs/runlist.h
%{cygwin64_includedir}/ntfs/security.h
%{cygwin64_includedir}/ntfs/support.h
%{cygwin64_includedir}/ntfs/types.h
%{cygwin64_includedir}/ntfs/unistr.h
%{cygwin64_includedir}/ntfs/version.h
%{cygwin64_includedir}/ntfs/volume.h


%changelog
* Mon Aug 15 2016 Christophe GRENIER <grenier@cgsecurity.org> - 2.0.0-0
- First spec file under cygwin
